Bug 1336880 - [RFE] Update the 'rct' command to expose the virt_limit attribute to determine if virt-who is needed for the deployment.
Summary: [RFE] Update the 'rct' command to expose the virt_limit attribute to determin...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager   
(Show other bugs)
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rich Jerrido
QA Contact: John Sefler
Aneta Šteflová Petrová
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-17 16:58 UTC by Rich Jerrido
Modified: 2016-11-03 20:29 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
"rct cat-manifest" now displays information to determine if *virt-who* is required The output of the "rct cat-manifest [MANIFEST_ZIP]" command now includes fields for `Virt Limit` and `Requires Virt-who`. These fields help determine if the *virt-who* component is required for the deployment.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 20:29:09 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description Rich Jerrido 2016-05-17 16:58:06 UTC
Description of problem:

This RFE requests support for the 'rct' command to be modified to add support for rct cat-manifest subcommand to print virt_limit attribute. This attribute helps the user determine if virt-who is required.

Additionally, output a new 'Requires virt-who field' set to
    False - if VIRT_LIMIT attribute == 0 or is nil/None
    True - otherwise


Having this ability would help the end-user and support staff determine if virt-who is required for the deployment. 


Version-Release number of selected component (if applicable):

subscription-manager-1.15.9-15.el7.x86_64

Comment 1 Rich Jerrido 2016-05-17 16:59:05 UTC
Proposed patch upstream - https://github.com/candlepin/subscription-manager/pull/1420

And sample output from a run on the modified 'rct'

Name: Red Hat Enterprise Linux Server, Premium (4 sockets) (Unlimited guests)
        Quantity: 50
        Created: 2015-09-07T10:51:26.000+0000
        Start Date: 2015-08-26T04:00:00.000+0000
        End Date: 2016-08-26T03:59:59.000+0000
        Service Level: Premium
        Service Type: L1-L3
        Architectures: x86_64,ppc64le,ppc64,ia64,ppc,x86,s390,s390x
        SKU: *****
        Contract: *****
        Order: *****
        Account: *****
        Virt Limit: unlimited
        Requires Virt-who: True

Comment 3 Thom Carlin 2016-05-19 10:13:48 UTC
+1, this would be quite useful for Lighthouse customers.

Comment 5 Rehana 2016-08-22 16:08:19 UTC
Retested with ;

subscription-manager: 1.17.10-1.el7
python-rhsm: 1.17.6-1.el7

Test steps: 
Attached 3 subscriptions containing virt-limit with no value, some value and unlimited. 
downloaded manifest from stage portal 
execute # rct cat-manifest manifest_57bfbf9c-e359-4312-82b0-391a2bf72758.zip --no-content

+-------------------------------------------+
	Manifest
+-------------------------------------------+

General:
	Server: 
	Server Version: 0.9.51.15-1
	Date Created: 2016-08-22T13:07:56.231+0000
	Creator: candlepin_admin

Consumer:
	Name: test-manifest
	UUID: 57bfbf9c-e359-4312-82b0-391a2bf72758
	Type: sam

Subscription:
	Name: Red Hat Enterprise Linux ES, Standard L3
	Quantity: 1
	Created: 2016-08-22T13:02:31.000+0000
	Start Date: 2016-08-21T04:00:00.000+0000
	End Date: 2017-08-21T03:59:59.000+0000
	Service Level: Standard
	Service Type: L3
	Architectures: x86_64,ppc64le,ppc64,ia64,aarch64,ppc,s390,x86,s390x
	SKU: MCT0310US
	Contract: 
	Order: 
	Account: 
	Virt Limit: 4
	Requires Virt-who: True ==> set to "True" when virt limit is 4 
	Entitlement File: export/entitlements/8a99f984568e9f8a0156b2585f3a0dd2.json
	Certificate File: export/entitlement_certificates/6834664226158610049.pem
	Certificate Version: 3.2
	Provided Products:
		69: Red Hat Enterprise Linux Server
		180: Red Hat Beta
		205: Red Hat Software Collections Beta (for RHEL Server)
		240: Oracle Java (for RHEL Server)
Subscription:
	Name: Red Hat Enterprise Linux Desktop with Workstation option, Standard
	Quantity: 1
	Created: 2016-08-22T13:02:28.000+0000
	Start Date: 2016-08-21T04:00:00.000+0000
	End Date: 2017-08-21T03:59:59.000+0000
	Service Level: Standard
	Service Type: L1-L3
	Architectures: x86_64,ppc64le,ppc64,ia64,ppc,s390,x86,s390x
	SKU: MCT0352
	Contract: 
	Order: 
	Account: 
	Virt Limit: 
	Requires Virt-who: False  ==> set to "False" when virt limit is empty/null
	Entitlement File: export/entitlements/8a99f981568ea20e0156b25855d8049d.json
	Certificate File: export/entitlement_certificates/8650692397514852063.pem
	Certificate Version: 3.2
	Provided Products:
		71: Red Hat Enterprise Linux Workstation
		180: Red Hat Beta
		207: Red Hat Software Collections Beta (for RHEL Workstation)
		242: Oracle Java (for RHEL Client)
		244: Oracle Java (for RHEL Workstation)
Subscription:
	Name: Red Hat Enterprise Linux AS, Standard
	Quantity: 1
	Created: 2016-08-22T13:02:32.000+0000
	Start Date: 2016-08-21T04:00:00.000+0000
	End Date: 2017-08-21T03:59:59.000+0000
	Service Level: Standard
	Service Type: L1-L3
	Architectures: x86_64,ppc64le,ppc64,ia64,aarch64,ppc,s390,x86,s390x
	SKU: MCT0335
	Contract: 
	Order: 
	Account: 
	Virt Limit: unlimited
	Requires Virt-who: True  ==> set to "True" when virt limit is unlimited	Entitlement File: export/entitlements/8a99f989568ea54e0156b258644c5a5b.json
	Certificate File: export/entitlement_certificates/1417193226120452099.pem
	Certificate Version: 3.2
	Provided Products:
		69: Red Hat Enterprise Linux Server
		83: Red Hat Enterprise Linux High Availability (for RHEL Server)
		85: Red Hat Enterprise Linux Load Balancer (for RHEL Server)
		90: Red Hat Enterprise Linux Resilient Storage (for RHEL Server)
		180: Red Hat Beta
		199: Red Hat Hardware Certification Test Suite
		205: Red Hat Software Collections Beta (for RHEL Server)
		240: Oracle Java (for RHEL Server)
 
Marking as Verified!!

Comment 10 errata-xmlrpc 2016-11-03 20:29:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.